Image
Date: 2019-10-22

org.jmol.awtjs2d

## Class Image

- java.lang.Object
- - org.jmol.awtjs2d.Image

-     class Image
      extends java.lang.Object

  methods required by Jmol that access java.awt.Image private to org.jmol.awt

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Image()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.Object` | `allocateRgbImage(int windowWidth, int windowHeight, int[] pBuffer, int windowSize, boolean backgroundTransparent, java.lang.Object canvas)`
    `(package private) static int` | `getHeight(java.lang.Object canvas)`
    `static GenericImageDialog` | `getImageDialog(Viewer vwr, java.lang.String title, java.util.Map<java.lang.String,GenericImageDialog> imageMap)`
    `static int[]` | `getTextPixels(java.lang.String text, Font font3d, java.lang.Object context, int width, int height, int ascent)`
    `(package private) static int` | `getWidth(java.lang.Object canvas)`
    `(package private) static int[]` | `grabPixels(java.lang.Object context, int width, int height)`
    `(package private) static int[]` | `toIntARGB(int[] imgData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Image

          Image()

  - ### Method Detail

    - #### getWidth

          static int getWidth(java.lang.Object canvas)

      Parameters:
        `canvas` -
      Returns:
        width

    - #### getHeight

          static int getHeight(java.lang.Object canvas)

      Parameters:
        `canvas` -
      Returns:
        width

    - #### grabPixels

          static int[] grabPixels(java.lang.Object context,
                                  int width,
                                  int height)

      Parameters:
        `context` -
        `width` -
        `height` -
      Returns:
        null

    - #### toIntARGB

          static int[] toIntARGB(int[] imgData)

    - #### getTextPixels

          public static int[] getTextPixels(java.lang.String text,
                                            Font font3d,
                                            java.lang.Object context,
                                            int width,
                                            int height,
                                            int ascent)

      Parameters:
        `text` -
        `font3d` -
        `context` -
        `width` -
        `height` -
        `ascent` -
      Returns:
        array

    - #### allocateRgbImage

          static java.lang.Object allocateRgbImage(int windowWidth,
                                                   int windowHeight,
                                                   int[] pBuffer,
                                                   int windowSize,
                                                   boolean backgroundTransparent,
                                                   java.lang.Object canvas)

      Parameters:
        `windowWidth` -
        `windowHeight` -
        `pBuffer` -
        `windowSize` -
        `backgroundTransparent` -
        `canvas` -
      Returns:
        a canvas

    - #### getImageDialog

          public static GenericImageDialog getImageDialog(Viewer vwr,
                                                          java.lang.String title,
                                                          java.util.Map<java.lang.String,GenericImageDialog> imageMap)

      Parameters:
        `vwr` -
        `title` -
        `imageMap` -
      Returns:
        imageDialog